
import com.rational.test.tss.*;

import com.rational.test.tss.TSSConstants;

/* 
This test script demonstrates how to call all TSS Methods
and produces output or exceptions so you can see if 
TSS code is working properly.  DMorris 6/30/2000
*/

public class datapool extends com.rational.test.tss.TestScript {

	public static void main(String[] args){
             datapool t = new datapool();
             t.testMain(args);
	}

	public void testMain(String [] args) {

      try {

		int iret;
		String strRet = "";
		TSSDatapool dp = new TSSDatapool();

        	// EXAMPLE OF TSSException handling
        	try {
        		dp.open("aardvark", 0, null);
        		System.out.println("Datapool.open called");
        	}
        	catch (TSSException e)
        	{
        		System.out.println("datapool open failed for 'aardvark', exception handled by this script.");
        	}
        			
        
        	dp.open("notepad", 0, null);
        	System.out.println("Datapool.open called");
        
        	// if you comment this out, you'll see an exception thrown
        	// for calling open twice without an intervening close
        	// If you want two data pools open, you should create 
        	// two instances of the TSSDatapool class
        	dp.close();
        
        	// overloaded version
        	dp.open("notepad");
        	System.out.println("Datapool.open overloaded version called");
        
        
        	boolean bret = dp.fetch();
        	System.out.print("return from Datapool.fetch ");
        	System.out.println(bret);
        
        	strRet = dp.value("Address").toString();
        	System.out.print("return from Datapool.value ");
        	System.out.println(strRet);
        
        	dp.rewind();
        	System.out.println("Datapool.rewind called");
        
        	dp.seek(1);
        	System.out.println("Datapool.seek called");
        
        	iret = dp.columnCount();
        	System.out.print("return from Datapool.columnCount ");
        	System.out.println(iret);
        
        	iret = dp.rowCount();
        	System.out.print("return from Datapool.rowCount ");
        	System.out.println(iret);
        	
        	strRet = dp.columnName(1);
        	System.out.print("return from Datapool.columnName ");
        	System.out.println(strRet);
        
        	iret = dp.close();
        	System.out.print("return from Datapool.close ");
        	if (iret == TSS_OK)
        		System.out.println("TSS_OK");
        	else
        		System.out.println(iret);
        
	}
	catch (Exception e)
	{
		e.printStackTrace();
	}
    }
}
